# eric7.Plugins.VcsPlugins.vcsMercurial.PurgeExtension.ProjectHelper

Module implementing the purge extension project helper.

### Global Attributes

None

### Classes

PurgeProjectHelper | Class implementing the purge extension project helper.

### Functions

None

## PurgeProjectHelper

Class implementing the purge extension project helper.

### Derived from

HgExtensionProjectHelper

### Class Attributes

None

### Class Methods

None

### Methods

PurgeProjectHelper | Constructor
__hgPurge | Private slot used to remove files not tracked by Mercurial.
__hgPurgeAll | Private slot used to remove all files not tracked by Mercurial.
__hgPurgeAllList | Private slot used to list all files not tracked by Mercurial.
__hgPurgeList | Private slot used to list files not tracked by Mercurial.
initActions | Public method to generate the action objects.
initMenu | Public method to generate the extension menu.
menuTitle | Public method to get the menu title.

### Static Methods

None

#### PurgeProjectHelper (Constructor)

PurgeProjectHelper()

Constructor

#### PurgeProjectHelper.__hgPurge

__hgPurge()

Private slot used to remove files not tracked by Mercurial.

#### PurgeProjectHelper.__hgPurgeAll

__hgPurgeAll()

Private slot used to remove all files not tracked by Mercurial.

#### PurgeProjectHelper.__hgPurgeAllList

__hgPurgeAllList()

Private slot used to list all files not tracked by Mercurial.

#### PurgeProjectHelper.__hgPurgeList

__hgPurgeList()

Private slot used to list files not tracked by Mercurial.

#### PurgeProjectHelper.initActions

initActions()

Public method to generate the action objects.

#### PurgeProjectHelper.initMenu

initMenu(mainMenu)

Public method to generate the extension menu.

mainMenu
  reference to the main menu (QMenu)

Return:
  populated menu (QMenu)

#### PurgeProjectHelper.menuTitle

menuTitle()

Public method to get the menu title.

Return:
  title of the menu (string)

Up